Using the Trend Micro WCRY Simple Patch Validation Tool

  • Solution ID: 1117416
  • Last Updated: Sep. 25, 2017 2:12 AM (PST)
  • Applies to: Antivirus+ Security - 2018;2017;Internet Security - 2018;Internet Security - 2017;Maximum Security - 2018;Maximum Security - 2017;Premium Security - 2018;Premium Security - 2017;
  • Trend Micro WCRY Simple Patch Validation Tool | Trend Micro Security

Note: This tool is provided as-is, without warranties of any kind. It is meant to assist customers in emergency troubleshooting, and is not guaranteed to be error-free. Please click here for further information about the terms and conditions on Trend Micro tools.

Due to the vulnerability of SMB v1, remote code execution may be conducted on a computer. This will allow attackers to drop the WCRY (WannaCry) Ransomware and other infections on a computer. Trend Micro WCRY Simple Patch Validation Tool is a simple tool that can perform the following:

  • checks if Microsoft’s MS17-010 patch has been successfully applied on the computer
  • offers and allows user to disable SMB v1 on computer through registry key

Note: SMB v1 or Server Message Block version 1 is a protocol used to provide access to shared folders, printers or other peripherals between the network.


To use the WCRY Simple Patch Validation Tool, do the following:

  1. Click the button below to download the Trend Micro WCRY Simple Patch Validation Tool:

    WCRY Simple Patch Validation Tool

  2. Double-click the supportcustomizedpackage-ms17-010-chk.exe icon to run it.
  3. Click Yes when the User Account Control appears.
  4. Click OK once the confirmation window appears.

    Note: If the tool detects that your computer does not have the required security patch, you need to update your Windows PC first.

  5. Click Yes to disable SMBv1 on your computer. Otherwise, click No to end the process.
  6. Once the SMBv1 is disabled, click Yes to restart the computer.